/*
 * Version: 1.0
 *
 * The contents of this file are subject to the OpenVPMS License Version
 * 1.0 (the 'License'); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.openvpms.org/license/
 *
 * Software distributed under the License is distributed on an 'AS IS' basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * Copyright 2020 (C) OpenVPMS Ltd. All Rights Reserved.
 */

package org.openvpms.domain.patient.record;

/**
 * Denotes a patient visit.
 *
 * @author Tim Anderson
 */
public interface Visit extends Record {

    /**
     * The visit archetype.
     */
    String ARCHETYPE = "act.patientClinicalEvent";

    /**
     * Determines if this is a boarding visit.
     *
     * @return {@code true} if this is a boarding visit
     */
    boolean isBoardingVisit();

    /**
     * Returns the visit records.
     *
     * @return the records
     */
    Records getRecords();
}
