/*
 * Version: 1.0
 *
 * The contents of this file are subject to the OpenVPMS License Version
 * 1.0 (the 'License'); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.openvpms.org/license/
 *
 * Software distributed under the License is distributed on an 'AS IS' basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * Copyright 2021 (C) OpenVPMS Ltd. All Rights Reserved.
 */

package org.openvpms.web.component.i18n;

import org.openvpms.component.i18n.Message;
import org.openvpms.component.i18n.Messages;

/**
 * Web component messages.
 *
 * @author Tim Anderson
 */
public class WebComponentMessages {

    /**
     * The messages.
     */
    private static final Messages messages = new Messages("WEBC", WebComponentMessages.class);

    /**
     * Default constructor.
     */
    private WebComponentMessages() {
        // no-op
    }

    /**
     * Creates a message indicating that an active instance already exists of a singleton archetype.
     *
     * @param archetype the archetype
     * @return a new message
     */
    public static Message activeSingletonExists(String archetype) {
        return messages.create(100, archetype);
    }
}